Subject: Polishing old glass?

From: [email-masked] (Bob Neidorff)
Date: Mon, 24 Jan 1994 14:20:53 GMT

I have an old piece (1940?) with a 10" diameter thick glass window 
that has gotten cloudy and ugly with age.  I assume that the problem 
is minute surface scratches.  I tried all kinds of glass cleaners 
and nothing seems to take it out.  It might be in the glass itself,
but I doubt it.

Can anyone recommend a glass polish which might work?  Perhaps a 
lens polish or mirror polish, but something which works on glass?
I can use a pad in a drill or a buffing wheel on a grinder if that
is the best approach.

As this is a precious oldie, I want as little risk as possible.
I assume that replacing this glass window will be difficult, as it
requires finding a perfect replacement piece AND installing it right.

Thanks for any advice at all.
-- 
Bob Neidorff; Unitrode I. C. Corp.  |  Internet: [email-masked]
7 Continental Blvd.                 |  Voice   : (US) 603-424-2410
Merrimack, NH  03054-0399 USA       |  FAX     : (US) 603-424-3460

---

From: [email-masked] (DRAGON!)
Date: Mon, 24 Jan 1994 17:53:02 GMT

In article <[email-masked]> [email-masked] (Bob Neidorff) writes:
>From: [email-masked] (Bob Neidorff)
>Subject: Polishing old glass?
>Date: Mon, 24 Jan 1994 14:20:53 GMT

>I can use a pad in a drill or a buffing wheel on a grinder if that

I see you're on the East Coast, so there's hope you'll be able to find the 
stuff I'm going to recommend. . . 

Several years ago I saw an article in Popular Mechanics or something about a 
polishing compound for glass that was supposed to remove the pitting from 
acid rain on your windshield.  I don't know where you'd find it if not in an 
automotive parts store.  Might be worth a shot though, and who knows, maybe 
you can use it on your car too!

Good luck!

Chris
-----------------------------------------------------------------------------
DRAGON!
            /\_\/_/\
            | 0\/0 |
            |  --  |
             \|  |/
              |  |   0
              ()()  o         WHAT THE DRAGON! SAYS IN NO WAY REFLECTS THE
                 \ *          OPINIONS OF WHERE THE DRAGON! WORKS!  SO THERE!
             
-----------------------------------------------------------------------------

---

From: [email-masked] (John De Armond)
Date: Tue, 25 Jan 94 07:35:38 GMT

>you can use it on your car too!

No big mystery.  Glass polishing is an ordinary everyday task done by
glass artists and crystalware repairmen everywhere.  The process 
starts out with jewler's rouge and ends up with cerium oxide.
Check the yellow pages under "glass" and/or "crystal repair".
You can probably get a crystal repairman to give you a bit of the 
various abrasives they use.

john

-- 
John De Armond, WD4OQC, Marietta, GA    [email-masked] 
"Would you fire on US Citizens while in the process of confiscating their guns?"
    A question on a survey given to members of the U.S. counterterrorist 
    unit Navy SEAL Team Six by their commanders last September.
Mail to me may be published at my sole discretion.

---

From: [email-masked] (R.C. Jones)
Date: 25 Jan 94 22:27:16 GMT

If you go to a rock shop and get a powder called tin oxide, put some
on a damp buffing wheel you can polish glass with a high enough speed.
I use a 3-M abrasive wheel (like potscrubbers) on a die grinder with
tin oxide. Also works with marble and harder stones.

-- 
  |___________________________________________________________________| 
>>| Dik Jones, Earth Model Interpretation   Internet: [email-masked] |
  | Chevron Petroleum Technology Company.        Tel:  (310) 694-7056 | 
  | La Habra, California 90633-0446              Fax:  (310) 694-7063 |

---

From: Bill=Nott%Graphics=Dev%PCPD=[email-masked]
Date: Thu, 27 Jan 1994 16:28:53 GMT

< snip >
>various abrasives they use.

   And if you can't find it there, or can't find such a listing,
try Jewelry supplies, Lapidary supplies, Rock Shops, etc.

   BUT....You should examine the piece closely to assure
you're presuming properly, as this procedure won't 
help with any internal discoloration / staining. If you can't 
do that, try polishing a small area that's least likely to
be noticed before you launch into the big job.

   Bill

---

From: [email-masked]
Date: Wed, 2 Feb 94 19:26:01 -0500

Yo, Chris!  If you catch this please reply. Its coumputer illiterate me, the
glass gnome, wandering around to see ifn I can bump into a friendly cursor. 
Bluye magic is the name of the polish to bring up old glass. Its a chrome
polish, actually, found in a
uto repair places.   the glass gnome